std Namespace Reference

STL namespace. More...

## Functions

int | abs (const itpp::bin &inbin)
| absolute value of bin
template<class T>
std::ostream & | operator<< (std::ostream &os, const std::complex< T > &x)
| Output stream operator for complex numbers.
template<class T>
std::istream & | operator>> (std::istream &is, std::complex< T > &x)
| Input stream operator for complex numbers.

## Detailed Description

STL namespace.

## Function Documentation

## abs()

int std::abs | ( | const itpp::bin & | inbin | ) |

inline

absolute value of bin

Definition at line 186 of file binary.h.

Referenced by itpp::abs(), itpp::abs(), itpp::abs(), itpp::abs(), itpp::BERC::count(), itpp::BERC::count_errors(), itpp::Modulator< T >::demodulate(), itpp::Modulator< T >::demodulate_bits(), itpp::diag(), itpp::erf(), itpp::BERC::estimate_delay(), itpp::modified_yule_walker(), itpp::Sparse_Vec< T >::operator=(), itpp::Sparse_Vec< T >::operator==(), itpp::quadl(), itpp::Sparse_Vec< T >::remove_small_elements(), itpp::Line_Search::search(), itpp::Sparse_Vec< T >::set(), itpp::ND_UPSK::set_M(), itpp::Sparse_Vec< T >::set_new(), itpp::Sparse_Vec< T >::set_new(), itpp::Sparse_Vec< T >::set_small_element(), itpp::Sparse_Mat< T >::Sparse_Mat(), and itpp::Sparse_Vec< T >::Sparse_Vec().

## operator<<()

template<class T>

std::ostream & std::operator<< | ( | std::ostream & | os,
|  | const std::complex< T > & | x )

Output stream operator for complex numbers.

Definition at line 42 of file misc.h.

## operator>>()

template<class T>

std::istream & std::operator>> | ( | std::istream & | is,
|  | std::complex< T > & | x )

Input stream operator for complex numbers.

Definition at line 53 of file misc.h.

Generated on for IT++ by Doxygen 1.15.0